# Uses of Interface
org.eclipse.core.commands.IParameterTypeListener

Packages that use IParameterTypeListener
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.

## Uses of IParameterTypeListener in org.eclipse.core.commands

Classes in org.eclipse.core.commands that implement IParameterTypeListener
Modifier and Type
Class
Description
`final class`
`CommandManager`
A central repository for commands -- both in the defined and undefined states.
Methods in org.eclipse.core.commands with parameters of type IParameterTypeListener
Modifier and Type
Method
Description
`final void`
ParameterType.`addListener(IParameterTypeListener listener)`
Adds a listener to this parameter type that will be notified when its state changes.
`final void`
ParameterType.`removeListener(IParameterTypeListener listener)`
Unregisters listener for changes to properties of this parameter type.